Skip to main content
POST
/
v1
/
billValidation
/
parseInvoice
Parse invoice
curl --request POST \
  --url https://api.voltview.co.uk/v1/billValidation/parseInvoice \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "success": true,
  "data": {
    "documentType": "invoice",
    "isStatement": false,
    "supplierName": "British Gas",
    "supplierAccountNumber": "850012345678",
    "customerName": "<string>",
    "billingAddress": "<string>",
    "items": [
      {
        "itemType": "invoice",
        "invoiceNumber": "<string>",
        "invoiceDate": "2023-12-25",
        "dueDate": "2023-12-25",
        "chargeStartDate": "2023-12-25",
        "chargeEndDate": "2023-12-25",
        "netAmount": 123,
        "vatAmount": 123,
        "totalAmount": 123,
        "previousBalance": 123,
        "outstandingBalance": 123,
        "supplyPoints": [
          {
            "mpanMprn": "<string>",
            "supplyType": "electricity",
            "meterSerialNumber": "<string>",
            "consumption": {
              "total": 123,
              "unit": "kWh"
            },
            "charges": [
              {
                "category": "energy",
                "description": "<string>",
                "chargeStartDate": "2023-12-25",
                "chargeEndDate": "2023-12-25",
                "startReading": 123,
                "endReading": 123,
                "readingType": "actual",
                "quantity": 123,
                "unit": "<string>",
                "rate": 123,
                "rateUnit": "<string>",
                "vatRate": 123,
                "netAmount": 123,
                "totalAmount": 123
              }
            ],
            "meterReadings": [
              {
                "date": "2023-12-25",
                "type": "actual",
                "reading": "<string>",
                "unit": "<string>",
                "register": "day"
              }
            ]
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Supabase Auth JWT access token obtained after signing in via magic link or OTP

Body

multipart/form-data
file
file
required

Invoice file(s) to upload (PDF, JPEG, or PNG format). Can upload multiple files.

Response

Invoice successfully parsed

success
boolean
Example:

true

data
object